<div class="container">
    <div class="row">
     
        <div class="col">
          <div class="modal fade" id="exampleModalToggle" data-bs-backdrop="static" aria-hidden="true" aria-labelledby="exampleModalToggleLabel" tabindex="-1">
            <div class="modal-dialog modal-dialog-centered">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalToggleLabel">Register Customer</h5>
                  <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                  <div *ngIf="errorSaveCustomer" class="alert alert-danger d-flex align-items-center" role="alert">
                    <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Danger:"><use xlink:href="#exclamation-triangle-fill"/></svg>
                    <div>
                     Error al intentar guardar.
                    </div>
                  </div>
                  <form class="row g-3" id="formC" [formGroup]="formCustomer" (submit)="saveCustomer()">
                    <div class="col-md-6">
                      <label for="inputName" class="form-label">Name</label>
                      <input type="text" class="form-control" formControlName="name" id="inputName" required="true">
                    </div>
                    <div class="col-md-6">
                      <label for="inputLastName" class="form-label">LastName</label>
                      <input type="text" class="form-control" formControlName="lastName" id="inputLastName" required="true">
                    </div>
                    <div class="col-md-6">
                      <label for="inputPhone" class="form-label">Phone</label>
                      <input type="text" class="form-control" formControlName="phone" id="inputPhone" required="true">
                    </div>
                    <div class="col-md-6">
                      <label for="inputEmail" class="form-label">Email</label>
                      <input type="email" class="form-control" formControlName="email" id="inputEmail" required="true">
                    </div>
                  </form>
                </div>
                <div class="modal-footer">
                  <button class="btn btn-danger" data-bs-dismiss="modal">Close</button>
                  <button class="btn btn-outline-success" [disabled]="!next" type="submit" form="formC">Add Customer</button>
                  <button class="btn btn-primary" [disabled]="next" data-bs-target="#exampleModalToggle2" data-bs-toggle="modal" data-bs-dismiss="modal">Next</button>
                </div>
              </div>
            </div>
          </div>
          <div class="modal fade" id="exampleModalToggle2" data-bs-backdrop="static" aria-hidden="true" aria-labelledby="exampleModalToggleLabel2" tabindex="-1">
            <div class="modal-dialog modal-dialog-centered">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalToggleLabel2">Add Addresses</h5>
                  <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                  <div *ngIf="errorSaveAddress" class="alert alert-danger d-flex align-items-center" role="alert">
                    <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Danger:"><use xlink:href="#exclamation-triangle-fill"/></svg>
                    <div>
                     Error al intentar guardar.
                    </div>
                  </div>
                  <form class="row g-3" id="formA" [formGroup]="formAddresses" (submit)="saveAddresses()">
                    <div class="col-12">
                      <label for="inputAddress" class="form-label">Address</label>
                      <input type="text" class="form-control" id="inputAddress" formControlName="address" placeholder="1234 Main St">
                    </div>
                  </form>
                </div>
                <div class="modal-footer">
                  <button class="btn btn-success" form="formA">Add Address</button>
                  <button class="btn btn-primary" (click)="updateCustomers('true')" data-bs-dismiss="modal">Finalizar</button>
                </div>
              </div>
            </div>
          </div>
          
          <a class="btn btn-primary" data-bs-toggle="modal" href="#exampleModalToggle" role="button">Add Customer</a>
        </div>
      </div>
</div>
